import { JobName } from "../../jobs.js";
type JobStatus = {
    name: JobName;
    interval: string;
    lastExecution: string | null;
    lastDuration: string | null;
    nextExecution: string;
    isActive: boolean;
    canRunNow: boolean;
};
export declare const jobsRouter: import("@trpc/server").TRPCBuiltRouter<{
    ctx: import("../index.js").Context;
    meta: object;
    errorShape: import("@trpc/server").TRPCDefaultErrorShape;
    transformer: false;
}, import("@trpc/server").TRPCDecorateCreateRouterOptions<{
    getJobStatuses: import("@trpc/server").TRPCQueryProcedure<{
        input: void;
        output: JobStatus[];
        meta: object;
    }>;
    triggerJob: import("@trpc/server").TRPCMutationProcedure<{
        input: {
            name: JobName;
        };
        output: {
            success: boolean;
            message: string;
        };
        meta: object;
    }>;
}>>;
export {};
